Retrieve Log Service Type Metadata
Returns metadata of configuration parameters for a specified log service type.
Request schema
Path parameters
The log service type identifier within the Fivetran system
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
GET /v1/metadata/log-service-types/datadog_log HTTP/1.1 Accept: application/json Authorization: Basic <Replace with base64-encoded key> Host: api.fivetran.com
Responses
200
Response status code
Response status text
The log service type identifier within the Fivetran system
The log service name within the Fivetran system
The log service type
The description characterizing the purpose of the log service
The set of additional icon resource URLs in different formats (.svg, .png). Updating this list is not a breaking change. The set of icon URLs or the icons themselves may be changed
Metadata for configuration fields. Returned only by the endpoint for a specified log service type
The icon resource URL
The link to the log service documentation
The current availability status of the log service
The date (yyyy-MM-dd) the log service status was updated to the current availability status
{ "code": "Success", "message": "Log service configuration retrieved successfully", "data": { "id": "datadog_log", "name": "Datadog", "type": "Log", "description": "Datadog is a monitoring and analytics platform", "icons": [ "string" ], "config": {}, "icon_url": "https://fivetran.com/integrations/datadog_log/resources/datadog.png", "link_to_docs": "https://fivetran.com/docs/logs/datadog", "service_status": "general_availability", "service_status_updated_at": "2019-08-24T14:15:22Z" } }